Bug 2026059 (CVE-2021-4008) - CVE-2021-4008 xorg-x11-server: SProcRenderCompositeGlyphs out-of-bounds access
Summary: CVE-2021-4008 xorg-x11-server: SProcRenderCompositeGlyphs out-of-bounds access
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-4008
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2030160 2030161 2030162 2032941 2038066 2038067
Blocks: 2026049 2026076
TreeView+ depends on / blocked
 
Reported: 2021-11-23 17:29 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-05-17 10:00 UTC (History)
11 users (show)

Fixed In Version: xorg-x11-server 21.1.2, xorg-x11-server 1.20.14
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Xorg-x11-server. An out-of-bounds access issue can occur in the SProcRenderCompositeGlyphs function due to improper validation of the request length.
Clone Of:
Environment:
Last Closed: 2022-01-03 11:10:43 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:0003 0 None None None 2022-01-03 10:21:46 UTC
Red Hat Product Errata RHSA-2022:1917 0 None None None 2022-05-10 14:18:03 UTC

Description Guilherme de Almeida Suckevicz 2021-11-23 17:29:04 UTC
As per upstream:

The handler for the CompositeGlyphs request of the Render extension does not properly validate the request length leading to out of bounds memory write.

Comment 2 Guilherme de Almeida Suckevicz 2021-12-15 14:20:47 UTC
Created xorg-x11-server tracking bugs for this issue:

Affects: fedora-all [bug 2032941]

Comment 5 errata-xmlrpc 2022-01-03 10:21:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:0003 https://access.redhat.com/errata/RHSA-2022:0003

Comment 6 Product Security DevOps Team 2022-01-03 11:10:41 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-4008

Comment 7 errata-xmlrpc 2022-05-10 14:18:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1917 https://access.redhat.com/errata/RHSA-2022:1917


Note You need to log in before you can comment on or make changes to this bug.